> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Suggestions



## OpenAPI

````yaml /api-reference/openapi/storefront.json get /v2/search/suggestions
openapi: 3.1.0
info:
  title: Depict Platform API
  version: '1.0'
  description: >-
    The Depict platform API at api.depict.ai: storefront-facing search,
    listings, recommendations and event tracking for headless integrations. Not
    to be confused with the storefront search API (runway.depict.ai) used by the
    Search by Depict Shopify app.
servers:
  - url: https://api.depict.ai
security: []
paths:
  /v2/search/suggestions:
    get:
      tags:
        - Search
        - V2
      summary: Get Suggestions
      operationId: Get_suggestions_v2_search_suggestions_get
      parameters:
        - name: tenant
          in: query
          required: true
          schema:
            type: string
            title: Tenant
        - name: market
          in: query
          required: true
          schema:
            type: string
            title: Market
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locale
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Query
        - name: user_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: User Id
        - name: session_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: Session Id
        - name: dsid
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: Dsid
        - name: metadata
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            title: Metadata
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchSuggestionsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SearchSuggestionsResponse:
      properties:
        suggestions_request_id:
          type: string
          title: Suggestions Request Id
        suggestions:
          items:
            anyOf:
              - $ref: '#/components/schemas/QuerySuggestion'
              - $ref: '#/components/schemas/LegacyCategorySuggestion'
          type: array
          title: Suggestions
          description: >-
            List of suggestions for search queries that should be shown to the
            user while they are typing.
      type: object
      required:
        - suggestions_request_id
        - suggestions
      title: SearchSuggestionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QuerySuggestion:
      properties:
        type:
          type: string
          const: query
          title: Type
          default: query
        suggestions_result_id:
          type: string
          title: Suggestions Result Id
        title:
          type: string
          title: Title
          description: Title for suggestion.
      type: object
      required:
        - suggestions_result_id
        - title
      title: QuerySuggestion
    LegacyCategorySuggestion:
      properties:
        category_id:
          type: string
          title: Category Id
          description: Unique identifier of the category.
        title:
          type: string
          title: Title
          description: The title of the category
        page_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Page Url
          description: The full URL to the category page
        query_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Query Id
          description: Optionally a unique query ID for the category
        uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Uri
          description: Optionally a unique URI for the category, for example men/shoes
        category_type:
          $ref: '#/components/schemas/ECategoryType'
          description: The type of category, for example CAMPAIGN, TAG, or CATEGORY
          default: CATEGORY
        type:
          type: string
          const: category
          title: Type
          description: type
          default: category
        suggestions_result_id:
          type: string
          title: Suggestions Result Id
      additionalProperties: false
      type: object
      required:
        - category_id
        - title
        - suggestions_result_id
      title: LegacyCategorySuggestion
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ECategoryType:
      type: string
      enum:
        - TAG
        - CATEGORY
        - TENANT_CATEGORY
        - TENANT_SECONDARY_CATEGORY
        - CAMPAIGN
        - BRAND
      title: ECategoryType

````